import { useState } from "react";
import './App.css';

function App() {
  const [count, setCount] = useState(0);
  const [toggle, setToggle] = useState(false);
  
  const clickEvent=()=>{
    setCount((count) => count + 1);
    setToggle((toggle) => !toggle);
  }

  const handleAsync=()=>{
    fetch("https://jsonplaceholder.typicode.com/todos/2").then(() => {
      setCount((count) => count + 1);
      setToggle((toggle) => !toggle);
    });
  }

  const handleTimeOut=()=>{
    setTimeout(() => {
      setCount((count) => count + 1);
      setToggle((toggle) => !toggle);
    }, 100);
  }

  return (
    <div className="App">
      <h2>Automatic Batching::webrecto.com</h2>

      <p>Count: {count}</p>
      <p style={{ color: toggle ? "blue" : "black" }}>Toggle: {toggle.toString()}</p>

      <button onClick={clickEvent}> Event Handler </button>
      <button onClick={handleAsync}> Async Handler </button>
      <button onClick={handleTimeOut}> Timeout Handler </button>
    </div>
  );
}

export default App;
